Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162871 - touble on compiling monotone 0.20
Summary: touble on compiling monotone 0.20
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: boost
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Benjamin Kosnik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-10 21:05 UTC by Jochen Schmitt
Modified: 2013-08-09 05:47 UTC (History)
1 user (show)

Fixed In Version: boost-1.33.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-14 15:53:36 UTC


Attachments (Terms of Use)
Patch which contains a workaround for the anon enum problem. (deleted)
2005-07-10 21:05 UTC, Jochen Schmitt
no flags Details | Diff

Description Jochen Schmitt 2005-07-10 21:05:27 UTC
When I try to compile monotone 0.20; i got the following error messages:

/usr/include/boost/regex/v4/char_regex_traits.hpp: In member function
'uint_fast32_t
boost::deprecated::char_regex_traits_i<wchar_t>::lookup_classname(const
wchar_t*, const wchar_t*) const':
/usr/include/boost/regex/v4/char_regex_traits.hpp:68: error:
'boost::re_detail::c_traits_base::<anonymous enum>' is/uses anonymous type
/usr/include/boost/regex/v4/char_regex_traits.hpp:68: error:   trying to
instantiate 'template<class T> struct boost::is_integral'
make[2]: *** [monotone-commands.o] Error 1
make[2]: Leaving directory `/home/pclinux/redhat/BUILD/monotone-0.20'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/pclinux/redhat/BUILD/monotone-0.20'
make: *** [all] Error 2


I have found out, that gcc-4.0.1 has problems with a nonymous enum, which
occured in a header file of boost-devel.

So I have create a patch, which convert the anonymous enum into static consts.

Best Ragards:

Jochen Schmitt

Comment 1 Jochen Schmitt 2005-07-10 21:05:27 UTC
Created attachment 116577 [details]
Patch which contains a workaround for the anon enum problem.

Comment 2 Benjamin Kosnik 2005-09-06 19:19:46 UTC
Can you try the boost-1.33.0 packages with gcc-4.0.x? I believe this will be a
better fit.

-benjamin


Note You need to log in before you can comment on or make changes to this bug.